# ifndef TestSanNotation_h
# define TestSanNotation_h
#include "TestHeader.h"
class TestSanNotation:
  public TestCase
{
public:
  TestSanNotation (std::string name="") : TestCase (name) {}
  static Test		*suite ();
protected:
  void construction();
  void simpleMove();
  void pawnMove();
  void capturingMove();
  void promotingMove();
  void promotingCapture();
  void castlingMove();
  void simpleMoveAllocation();
  void mate();
  void ambiguous();
  void ambiguous2();
  void fitsDescription();
  void pawnCapture();
  void fromString();
};
#endif
